Subject: git-svn: preserve commit dates?

From: Ari Entlich <[email-masked]>
Date: Wed, 24 Apr 2013 15:20:12 -0400 (EDT)

Hey all!

When I'm using git-svn, I'm always a bit dismayed that the dates in the git-svn commits are not copied from the original commits. They instead just contain the date of the dcommit. Note that I'm talking about the commits in my git repo here, not the ones in subversion - I know that those have to use the date of the dcommit.

I was looking a little bit at the perl code, and it looks like preserving the original commit dates wouldn't be particularly difficult. Does this seem like a good idea to anybody else? My guess is that none of the actual code is depending on those dates being anything in particular, but I suppose some people might prefer the current behaviour. Therefore, this could be switched on with --preserve-dates or something like that.

Thanks!

Ari